Name:           filezilla
Version:        3.0.1
Release:        1%{?dist}
Summary:        FileZilla FTP, FTPS and SFTP client

Group:          Applications/Internet
License:        GPLv2+
URL:            http://filezilla.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/FileZilla_%{version}_src.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## Needed if autogen.sh is invoked
#BuildRequires:  automake, autoconf, libtool
## 
## Needed if test program is build
BuildRequires:  cppunit-devel >= 1.10.2
##
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  gnutls-devel >= 1.5.4
BuildRequires:  libidn-devel
BuildRequires:  wxGTK-devel >= 2.8.4

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils


%description
FileZilla is a FTP, FTPS and SFTP client for Linux with a lot of features.
- Supports FTP, FTP over SSL/TLS (FTPS) and SSH File Transfer Protocol (SFTP)
- Cross-platform
- Available in many languages
- Supports resume and transfer of large files >4GB
- Easy to use Site Manager and transfer queue
- Drag & drop support
- Speed limits
- Filename filters
- Network configuration wizard 


%prep
%setup -q

# Run autotools if needed
# sh autogen.sh


%build
%configure \
  --disable-static \
  --enable-locales \
  --localedir=%{_datadir}/locale \
  --disable-manualupdatecheck \
  --disable-autoupdatecheck 

## Do not use --enable-buildtype=official 
## that option enables the "check for updates" dialog to download
## new binaries from the official website.

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT __doc
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p -c"

mkdir -p __doc
install -pm 0644 $RPM_BUILD_ROOT%{_datadir}/%{name}/docs/* __doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/filezilla/docs

desktop-file-install --vendor "fedora" \
  --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop


%find_lang %{name}

%check
pushd tests
make test
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%doc __doc/*
%{_bindir}/*
%{_datadir}/filezilla/
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Sep 22 2007 kwizart < kwizart at gmail.com > - 3.0.1-1
- Update to 3.0.1

* Sun Sep  9 2007 kwizart < kwizart at gmail.com > - 3.0.0-1
- Update to 3.0.0 (final)
- Add vendor field for .desktop

* Mon Sep  3 2007 kwizart < kwizart at gmail.com > - 3.0.0-0.3.rc3
- Update to 3.0.0rc3
- Add BR gawk
- Improve description/summary
- Removed dual listed doc file

* Mon Aug 27 2007 kwizart < kwizart at gmail.com > - 3.0.0-0.2.rc2
- Update to 3.0.0-rc2
- Upstream now install their own desktop file and pixmap

* Mon Aug 13 2007 kwizart < kwizart at gmail.com > - 3.0.0-0.2.rc1
- Update to 3.0.0-rc1
- Enable make check

* Fri Jul 27 2007 kwizart < kwizart at gmail.com > - 3.0.0-0.1.beta11
- Update to beta11

* Wed Jun  5 2007 kwizart < kwizart at gmail.com > - 3.0.0-0.1.beta10
- Update to beta10

* Sat May 26 2007 kwizart < kwizart at gmail.com > - 3.0.0-0.1.beta8
- Update to beta8

* Tue Mar 13 2007 kwizart < kwizart at gmail.com > - 3.0.0-0.1.beta7
- Update to beta7

* Tue Mar 13 2007 kwizart < kwizart at gmail.com > - 3.0.0-0.1.beta6
- Initial package.
